//
//  MainWindowController.swift
//  RateKitSwift
//
//  Created by thierryH24 on 14/11/2018.
//  Copyright © 2018 thierryH24. All rights reserved.
//

import Cocoa

class MainWindowController: NSWindowController {
    
     var rateWindowController: RateWindowController? = nil

    
    override var windowNibName: NSNib.Name? {
        return NSNib.Name( "MainWindowController")
    }

    override func windowDidLoad() {
        super.windowDidLoad()

        // Implement this method to handle any initialization after your window controller's window has been loaded from its nib file.
        
        let configure = RateConfigure()
        configure.name = "Love Ratekit?"
        configure.icon = NSImage(named: NSImage.Name("demo-icon"))
        configure.detailText = "We look forward to your Star and Pull Request to make Ratekit better and better : )\n⭐️⭐️⭐️⭐️⭐️"
        configure.likeButtonTitle = "Star Now!"
        configure.ignoreButtonTitle = "Maybe later"
        configure.rateURL = URL(string: "https://github.com/HsiangHo/RateKit")

        rateWindowController = RateWindowController(configure: configure)
        rateWindowController?.nTimeout = 10
        rateWindowController?.requestRateWindow(.center, with: { rlst in
            print(String(format: "%lu", UInt(Float(rlst.rawValue))))
        })
    }
    
}
